# 32/64bit spec-file
#
%define git_date 20090203
%define git_version 13281b3
%define api 1
%define major 0
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name
Name:		dbus-c++
Version:	0.5.0
Release:	%mkrel 2
Summary:	Native C++ bindings for D-Bus
Group:		System/Libraries
License:	LGPLv2+
URL:		http://freedesktop.org/wiki/Software/dbus-c++
Source0:	%{name}-%{version}.%{git_date}git%{git_version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-
Patch1:		dbus-c++-get-uid-api.patch
Patch2: 	gcc-44.patch
Patch3: 	dbus-c++-build-fix.patch
Patch4: 	dbus-c++-fix-linking.patch
BuildRequires:	dbus-devel
BuildRequires:	glib2-devel
Buildrequires:	%{_lib}gtkmm2.4-devel
Buildrequires:	libtool
BuildRequires:	expat-devel
Requires:   	glibc >= 2.12.1
Requires:   	libstdc++6 >= 4.5.2

%description
Native C++ bindings for D-Bus for use in C++ programs.

%package -n %libname
Group:		System/Libraries
Summary:	Native C++ bindings for D-Bus

%description -n %libname
Native C++ bindings for D-Bus for use in C++ programs.

%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%name >= %version-%release
Provides:	%name-devel = %{version}-%{release}

%description	-n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
%{__sed} -i 's/\r//' AUTHORS
%{__sed} -i 's/-O3//' configure.ac
%patch1 -p1 -b .uid
%patch2 -p1 -b .gcc44
%patch3 -p1 -b .buildfix
%patch4 -p1
./autogen.sh

%build
export CPPFLAGS='%{optflags}'
%configure2_5x --disable-static --enable-glib
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_bindir}/dbusxx-introspect
%{_bindir}/dbusxx-xml2cpp

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libdbus-c++-%{api}.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%doc TODO
%{_includedir}/*
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%{_libdir}/pkgconfig/*



%changelog
* Mon Mar 25 2013 pinoc <vogtpet at gmail.com> 0.5.0-2pclos2013
- fixed BR for 32/64 and built for 64

* Tue Apr 05 2011 Sproggy <desproggster at gmail.com> 0.5.0-0-1pclos2011
- initial build for PCLOS
